dav1d 1.5.1 dav1d is an AV1 decoder |

Loading...
Searching...
No Matches
Macros
version.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | DAV1D_API_VERSION_MAJOR 7
#define | DAV1D_API_VERSION_MINOR 0
#define | DAV1D_API_VERSION_PATCH 0
#define | DAV1D_API_MAJOR(v)
#define | DAV1D_API_MINOR(v)
#define | DAV1D_API_PATCH(v)

## Macro Definition Documentation

## ◆ DAV1D_API_MAJOR

#define DAV1D_API_MAJOR | ( |  | v | ) |

Value:
(((v) >> 16) & 0xFF)

Extract version components from the value returned by dav1d_version_int()

## ◆ DAV1D_API_MINOR

#define DAV1D_API_MINOR | ( |  | v | ) |

Value:
(((v) >> 8) & 0xFF)

## ◆ DAV1D_API_PATCH

#define DAV1D_API_PATCH | ( |  | v | ) |

Value:
(((v) >> 0) & 0xFF)

## ◆ DAV1D_API_VERSION_MAJOR

#define DAV1D_API_VERSION_MAJOR 7

## ◆ DAV1D_API_VERSION_MINOR

#define DAV1D_API_VERSION_MINOR 0

## ◆ DAV1D_API_VERSION_PATCH

#define DAV1D_API_VERSION_PATCH 0